
_Display_Temperature:

;Temperature_Controller_V2.c,34 :: 		void Display_Temperature(unsigned int temp2write) {
;Temperature_Controller_V2.c,38 :: 		if (temp2write & 0x8000) {  //check if temperature is negative.
	BTFSS      FARG_Display_Temperature_temp2write+1, 7
	GOTO       L_Display_Temperature0
;Temperature_Controller_V2.c,39 :: 		Lcd_Chr(2,7,'-');
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      45
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;Temperature_Controller_V2.c,40 :: 		temp2write = ~temp2write + 1;
	COMF       FARG_Display_Temperature_temp2write+0, 1
	COMF       FARG_Display_Temperature_temp2write+1, 1
	INCF       FARG_Display_Temperature_temp2write+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_Display_Temperature_temp2write+1, 1
;Temperature_Controller_V2.c,41 :: 		a=1;       // if the temperature is negative.
	MOVLW      1
	MOVWF      _a+0
;Temperature_Controller_V2.c,42 :: 		}
	GOTO       L_Display_Temperature1
L_Display_Temperature0:
;Temperature_Controller_V2.c,43 :: 		else Lcd_Chr(2,7,' '), a=0; // if the temperature is positive.
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      32
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	CLRF       _a+0
L_Display_Temperature1:
;Temperature_Controller_V2.c,45 :: 		temp2 = temp2write >> RES_SHIFT ;
	MOVF       FARG_Display_Temperature_temp2write+0, 0
	MOVWF      R0+0
	MOVF       FARG_Display_Temperature_temp2write+1, 0
	MOVWF      R0+1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	MOVF       R0+0, 0
	MOVWF      _temp2+0
;Temperature_Controller_V2.c,46 :: 		if (temp2/100)  text[0] = temp2/100  + 48;
	MOVLW      100
	MOVWF      R4+0
	CALL       _Div_8X8_U+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Display_Temperature2
	MOVLW      100
	MOVWF      R4+0
	MOVF       _temp2+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_U+0
	MOVLW      48
	ADDWF      R0+0, 1
	MOVF       _text+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
	GOTO       L_Display_Temperature3
L_Display_Temperature2:
;Temperature_Controller_V2.c,47 :: 		else text[0] = ' ';
	MOVF       _text+0, 0
	MOVWF      FSR
	MOVLW      32
	MOVWF      INDF+0
L_Display_Temperature3:
;Temperature_Controller_V2.c,48 :: 		text[1] = (temp2/10)%10 + 48;
	INCF       _text+0, 0
	MOVWF      FLOC__Display_Temperature+0
	MOVLW      10
	MOVWF      R4+0
	MOVF       _temp2+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8X8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVLW      48
	ADDWF      R0+0, 1
	MOVF       FLOC__Display_Temperature+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Temperature_Controller_V2.c,49 :: 		text[2] =  temp2 %10    + 48;
	MOVLW      2
	ADDWF      _text+0, 0
	MOVWF      FLOC__Display_Temperature+0
	MOVLW      10
	MOVWF      R4+0
	MOVF       _temp2+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVLW      48
	ADDWF      R0+0, 1
	MOVF       FLOC__Display_Temperature+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Temperature_Controller_V2.c,50 :: 		Lcd_Out(2, 7, text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Temperature_Controller_V2.c,51 :: 		}
L_end_Display_Temperature:
	RETURN
; end of _Display_Temperature

_print_temp1:

;Temperature_Controller_V2.c,52 :: 		void print_temp1() {
;Temperature_Controller_V2.c,56 :: 		ch = temp1 / 10 ;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _temp1+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_U+0
;Temperature_Controller_V2.c,57 :: 		Lcd_Chr(1,8,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;Temperature_Controller_V2.c,58 :: 		ch = temp1 % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _temp1+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
;Temperature_Controller_V2.c,59 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;Temperature_Controller_V2.c,60 :: 		}
L_end_print_temp1:
	RETURN
; end of _print_temp1

_set_up:

;Temperature_Controller_V2.c,61 :: 		void set_up() {    // configuration for pic16f887
;Temperature_Controller_V2.c,63 :: 		ANSEL = 0;            // set the rest of pins as digital inputs or outputs.
	CLRF       ANSEL+0
;Temperature_Controller_V2.c,64 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;Temperature_Controller_V2.c,65 :: 		TRISE0_bit=0;            // RE0 is configured as digital output.
	BCF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;Temperature_Controller_V2.c,66 :: 		TRISD = 0x80;            // RD7 is configured as digital input.
	MOVLW      128
	MOVWF      TRISD+0
;Temperature_Controller_V2.c,67 :: 		TRISB6_bit=1;            // RB6 and RB7 are configured as digital input.
	BSF        TRISB6_bit+0, BitPos(TRISB6_bit+0)
;Temperature_Controller_V2.c,68 :: 		TRISB7_bit=1;
	BSF        TRISB7_bit+0, BitPos(TRISB7_bit+0)
;Temperature_Controller_V2.c,69 :: 		RE0_bit = 0;
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;Temperature_Controller_V2.c,70 :: 		PORTD = 0;               // clear PORTD
	CLRF       PORTD+0
;Temperature_Controller_V2.c,71 :: 		C1ON_bit = 0;            // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;Temperature_Controller_V2.c,72 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;Temperature_Controller_V2.c,73 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;Temperature_Controller_V2.c,74 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Temperature_Controller_V2.c,75 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Temperature_Controller_V2.c,76 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_message:

;Temperature_Controller_V2.c,77 :: 		void message () {
;Temperature_Controller_V2.c,78 :: 		Lcd_Out(1, 1, "Temperature");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_Temperature_Controller_V2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Temperature_Controller_V2.c,79 :: 		Lcd_Out(2, 1, "Controller");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_Temperature_Controller_V2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Temperature_Controller_V2.c,80 :: 		delay_ms(2000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_message4:
	DECFSZ     R13+0, 1
	GOTO       L_message4
	DECFSZ     R12+0, 1
	GOTO       L_message4
	DECFSZ     R11+0, 1
	GOTO       L_message4
	NOP
	NOP
;Temperature_Controller_V2.c,81 :: 		Lcd_Out(1, 1, "Rank_temperature");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr4_Temperature_Controller_V2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Temperature_Controller_V2.c,82 :: 		Lcd_Out(2, 1, ":-10_to_85 C");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr5_Temperature_Controller_V2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Temperature_Controller_V2.c,83 :: 		Lcd_Chr(2,11,223);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;Temperature_Controller_V2.c,84 :: 		delay_ms(3000);
	MOVLW      16
	MOVWF      R11+0
	MOVLW      57
	MOVWF      R12+0
	MOVLW      13
	MOVWF      R13+0
L_message5:
	DECFSZ     R13+0, 1
	GOTO       L_message5
	DECFSZ     R12+0, 1
	GOTO       L_message5
	DECFSZ     R11+0, 1
	GOTO       L_message5
	NOP
	NOP
;Temperature_Controller_V2.c,85 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Temperature_Controller_V2.c,86 :: 		Lcd_Out(1, 1, "Temp1: ");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr6_Temperature_Controller_V2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Temperature_Controller_V2.c,87 :: 		Lcd_Out(2, 1, "Temp2: ");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr7_Temperature_Controller_V2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Temperature_Controller_V2.c,88 :: 		Lcd_Chr(1,11,223);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;Temperature_Controller_V2.c,89 :: 		Lcd_Chr(2,11,223);     // Print degree character, 'C' for Centigrades.
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;Temperature_Controller_V2.c,90 :: 		Lcd_Chr(1,12,'C');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      67
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;Temperature_Controller_V2.c,91 :: 		Lcd_Chr(2,12,'C');
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      67
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;Temperature_Controller_V2.c,92 :: 		}
L_end_message:
	RETURN
; end of _message

_main:

;Temperature_Controller_V2.c,93 :: 		void main() {
;Temperature_Controller_V2.c,94 :: 		set_up();
	CALL       _set_up+0
;Temperature_Controller_V2.c,95 :: 		message ();
	CALL       _message+0
;Temperature_Controller_V2.c,96 :: 		do {
L_main6:
;Temperature_Controller_V2.c,97 :: 		Ow_Reset(&PORTE, 2);       // Onewire reset signal.
	MOVLW      PORTE+0
	MOVWF      FARG_Ow_Reset_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Temperature_Controller_V2.c,98 :: 		Ow_Write(&PORTE, 2, 0xCC); // Issue command SKIP_ROM.
	MOVLW      PORTE+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Temperature_Controller_V2.c,99 :: 		Ow_Write(&PORTE, 2, 0x44); //  Issue command CONVERT_T.
	MOVLW      PORTE+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      68
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Temperature_Controller_V2.c,100 :: 		Delay_us(120);
	MOVLW      39
	MOVWF      R13+0
L_main9:
	DECFSZ     R13+0, 1
	GOTO       L_main9
	NOP
	NOP
;Temperature_Controller_V2.c,101 :: 		Ow_Reset(&PORTE, 2);
	MOVLW      PORTE+0
	MOVWF      FARG_Ow_Reset_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Temperature_Controller_V2.c,102 :: 		Ow_Write(&PORTE, 2, 0xCC); // Issue command SKIP_ROM.
	MOVLW      PORTE+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Temperature_Controller_V2.c,103 :: 		Ow_Write(&PORTE, 2, 0xBE); // Issue command READ_SCRATCHPAD.
	MOVLW      PORTE+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      190
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Temperature_Controller_V2.c,104 :: 		temp = Ow_Read(&PORTE, 2);
	MOVLW      PORTE+0
	MOVWF      FARG_Ow_Read_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      _temp+0
	CLRF       _temp+1
;Temperature_Controller_V2.c,105 :: 		temp = (Ow_Read(&PORTE, 2) << 8) + temp;
	MOVLW      PORTE+0
	MOVWF      FARG_Ow_Read_port+0
	MOVLW      2
	MOVWF      FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      R2+1
	CLRF       R2+0
	MOVF       _temp+0, 0
	ADDWF      R2+0, 0
	MOVWF      R0+0
	MOVF       R2+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _temp+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _temp+0
	MOVF       R0+1, 0
	MOVWF      _temp+1
;Temperature_Controller_V2.c,106 :: 		Display_Temperature(temp);  // call the function to show temp2.
	MOVF       R0+0, 0
	MOVWF      FARG_Display_Temperature_temp2write+0
	MOVF       R0+1, 0
	MOVWF      FARG_Display_Temperature_temp2write+1
	CALL       _Display_Temperature+0
;Temperature_Controller_V2.c,109 :: 		if((a==0) && (b==0)) {
	MOVF       _a+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main12
	MOVF       _b+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main12
L__main84:
;Temperature_Controller_V2.c,110 :: 		if(temp2 == temp1) PORTD = 2;
	MOVF       _temp2+0, 0
	XORWF      _temp1+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main13
	MOVLW      2
	MOVWF      PORTD+0
L_main13:
;Temperature_Controller_V2.c,111 :: 		if(temp2 >  temp1) PORTD = 1;
	MOVF       _temp2+0, 0
	SUBWF      _temp1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main14
	MOVLW      1
	MOVWF      PORTD+0
L_main14:
;Temperature_Controller_V2.c,112 :: 		if(temp2 <  temp1) PORTD = 4;
	MOVF       _temp1+0, 0
	SUBWF      _temp2+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main15
	MOVLW      4
	MOVWF      PORTD+0
L_main15:
;Temperature_Controller_V2.c,113 :: 		}
L_main12:
;Temperature_Controller_V2.c,114 :: 		if((a==0) && (b==1)) {
	MOVF       _a+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main18
	MOVF       _b+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main18
L__main83:
;Temperature_Controller_V2.c,115 :: 		if((temp2 > 0)  &&  (temp1 > 0))   PORTD = 1;
	MOVF       _temp2+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_main21
	MOVF       _temp1+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_main21
L__main82:
	MOVLW      1
	MOVWF      PORTD+0
L_main21:
;Temperature_Controller_V2.c,116 :: 		if((temp2 == 0) &&  (temp1 == 0))  PORTD = 2;
	MOVF       _temp2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main24
	MOVF       _temp1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main24
L__main81:
	MOVLW      2
	MOVWF      PORTD+0
L_main24:
;Temperature_Controller_V2.c,117 :: 		if((temp2 == 0)  &&  (temp1 > 0)) PORTD = 1;
	MOVF       _temp2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main27
	MOVF       _temp1+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_main27
L__main80:
	MOVLW      1
	MOVWF      PORTD+0
L_main27:
;Temperature_Controller_V2.c,118 :: 		}
L_main18:
;Temperature_Controller_V2.c,119 :: 		if((a==1) && (b==0)) {
	MOVF       _a+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main30
	MOVF       _b+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main30
L__main79:
;Temperature_Controller_V2.c,120 :: 		if((temp2 > 0) && (temp1 > 0))PORTD = 4;
	MOVF       _temp2+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_main33
	MOVF       _temp1+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_main33
L__main78:
	MOVLW      4
	MOVWF      PORTD+0
L_main33:
;Temperature_Controller_V2.c,121 :: 		if((temp2 == 0) && (temp1 == 0))PORTD = 2;
	MOVF       _temp2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main36
	MOVF       _temp1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main36
L__main77:
	MOVLW      2
	MOVWF      PORTD+0
L_main36:
;Temperature_Controller_V2.c,122 :: 		if((temp2 > 0) && (temp1 == 0))PORTD = 4;
	MOVF       _temp2+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_main39
	MOVF       _temp1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main39
L__main76:
	MOVLW      4
	MOVWF      PORTD+0
L_main39:
;Temperature_Controller_V2.c,123 :: 		}
L_main30:
;Temperature_Controller_V2.c,124 :: 		if((a==1) && (b==1)) {
	MOVF       _a+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main42
	MOVF       _b+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main42
L__main75:
;Temperature_Controller_V2.c,125 :: 		if(temp2 == temp1) PORTD = 2;
	MOVF       _temp2+0, 0
	XORWF      _temp1+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main43
	MOVLW      2
	MOVWF      PORTD+0
L_main43:
;Temperature_Controller_V2.c,126 :: 		if(temp2 >  temp1) PORTD = 4;
	MOVF       _temp2+0, 0
	SUBWF      _temp1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main44
	MOVLW      4
	MOVWF      PORTD+0
L_main44:
;Temperature_Controller_V2.c,127 :: 		if(temp2 <  temp1) PORTD = 1;
	MOVF       _temp1+0, 0
	SUBWF      _temp2+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main45
	MOVLW      1
	MOVWF      PORTD+0
L_main45:
;Temperature_Controller_V2.c,128 :: 		}
L_main42:
;Temperature_Controller_V2.c,129 :: 		if (b==0) {      // if we want to work with positive values.
	MOVF       _b+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main46
;Temperature_Controller_V2.c,130 :: 		Lcd_Chr(1,7,' ');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      32
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;Temperature_Controller_V2.c,131 :: 		print_temp1();
	CALL       _print_temp1+0
;Temperature_Controller_V2.c,132 :: 		RE0_bit = 0;
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;Temperature_Controller_V2.c,133 :: 		}
L_main46:
;Temperature_Controller_V2.c,134 :: 		if (b==1) {      // if we want to work with negative values.
	MOVF       _b+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main47
;Temperature_Controller_V2.c,135 :: 		if(temp1 == 0) Lcd_Chr(1,7,' ');
	MOVF       _temp1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main48
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      32
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
L_main48:
;Temperature_Controller_V2.c,136 :: 		if(temp1 > 0)  Lcd_Chr(1,7,'-');
	MOVF       _temp1+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_main49
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      45
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
L_main49:
;Temperature_Controller_V2.c,137 :: 		if(temp1>10)   temp1=10;
	MOVF       _temp1+0, 0
	SUBLW      10
	BTFSC      STATUS+0, 0
	GOTO       L_main50
	MOVLW      10
	MOVWF      _temp1+0
L_main50:
;Temperature_Controller_V2.c,138 :: 		print_temp1();
	CALL       _print_temp1+0
;Temperature_Controller_V2.c,139 :: 		RE0_bit = 1;
	BSF        RE0_bit+0, BitPos(RE0_bit+0)
;Temperature_Controller_V2.c,140 :: 		}
L_main47:
;Temperature_Controller_V2.c,144 :: 		if (Button(&PORTB,7,5,0)) e0=0;      //if the button has been pushed
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main51
	CLRF       _e0+0
L_main51:
;Temperature_Controller_V2.c,145 :: 		if (e0==0 && Button(&PORTB,7,5,1)){  //and after that the button is free
	MOVF       _e0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main54
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main54
L__main74:
;Temperature_Controller_V2.c,146 :: 		temp1++;                         //increase temp1.
	INCF       _temp1+0, 1
;Temperature_Controller_V2.c,147 :: 		if (temp1>85) temp1=0;
	MOVF       _temp1+0, 0
	SUBLW      85
	BTFSC      STATUS+0, 0
	GOTO       L_main55
	CLRF       _temp1+0
L_main55:
;Temperature_Controller_V2.c,148 :: 		e0=1;
	MOVLW      1
	MOVWF      _e0+0
;Temperature_Controller_V2.c,149 :: 		}
L_main54:
;Temperature_Controller_V2.c,150 :: 		if  (Button(&PORTB,6,5,0)) e2=0;     //if the button has been pushed
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      6
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main56
	CLRF       _e2+0
L_main56:
;Temperature_Controller_V2.c,151 :: 		if (e2==0 && Button(&PORTB,6,5,1)){  //and after that the button is free
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main59
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      6
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main59
L__main73:
;Temperature_Controller_V2.c,152 :: 		temp1--;                       //decrease temp1.
	DECF       _temp1+0, 1
;Temperature_Controller_V2.c,153 :: 		if (temp1==255) temp1=85;  // temp=-1 >>> temp1=255 >>>> temp1=125.
	MOVF       _temp1+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L_main60
	MOVLW      85
	MOVWF      _temp1+0
L_main60:
;Temperature_Controller_V2.c,154 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;Temperature_Controller_V2.c,155 :: 		}
L_main59:
;Temperature_Controller_V2.c,156 :: 		if (Button(&PORTD,7,5,0)) e1=0;    //if the button has been pushed
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main61
	CLRF       _e1+0
L_main61:
;Temperature_Controller_V2.c,157 :: 		if (e1==0 && Button(&PORTD,7,5,1)){  //and after that the button is free
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main64
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main64
L__main72:
;Temperature_Controller_V2.c,158 :: 		b++;                          //increase b.
	INCF       _b+0, 1
;Temperature_Controller_V2.c,159 :: 		if (b>1) b=0;              //  variable for Negative values.
	MOVLW      128
	XORLW      1
	MOVWF      R0+0
	MOVLW      128
	XORWF      _b+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main65
	CLRF       _b+0
L_main65:
;Temperature_Controller_V2.c,160 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;Temperature_Controller_V2.c,161 :: 		}
L_main64:
;Temperature_Controller_V2.c,163 :: 		if (Button(&PORTB,6,300,0) && Button(&PORTB,7,300,0)){  //fast mode.
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      6
	MOVWF      FARG_Button_pin+0
	MOVLW      44
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main68
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      44
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main68
L__main71:
;Temperature_Controller_V2.c,164 :: 		temp1++;
	INCF       _temp1+0, 1
;Temperature_Controller_V2.c,165 :: 		if(temp1>85) temp1=0;
	MOVF       _temp1+0, 0
	SUBLW      85
	BTFSC      STATUS+0, 0
	GOTO       L_main69
	CLRF       _temp1+0
L_main69:
;Temperature_Controller_V2.c,166 :: 		}
L_main68:
;Temperature_Controller_V2.c,167 :: 		Delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main70:
	DECFSZ     R13+0, 1
	GOTO       L_main70
	DECFSZ     R12+0, 1
	GOTO       L_main70
	NOP
	NOP
;Temperature_Controller_V2.c,168 :: 		} while (1);
	GOTO       L_main6
;Temperature_Controller_V2.c,169 :: 		}// END.
L_end_main:
	GOTO       $+0
; end of _main
